<script type="text/javascript">

  function verifyAllowanceChecks()
  {
  	 var count = 0;

  	 $('.checked_allowance').each(function(){

  	 	if($(this).prop('checked'))
  	 	{
  	 		count++;
  	 	}

  	 });


  	 if(count > 0)
  	 {
  	 	    $('.cls_assign_allowance').show();
  	 }
  	 else
  	 {
  	 	    $('.cls_assign_allowance').hide();
  	 }
  }


  function verifyAssetChecks()
  {
  	 var count = 0;

  	 $('.checked_asset').each(function(){

  	 	if($(this).prop('checked'))
  	 	{
  	 		count++;
  	 	}

  	 });


  	 if(count > 0)
  	 {
  	 	    $('.cls_assign').show();
  	 }
  	 else
  	 {
  	 	    $('.cls_assign').hide();
  	 }
  }

 

  function selectAllAllowance(event,obj)
  {
    event.preventDefault();
    
    obj = $(obj);

     $('.checked_allowance').each(function(event)
     {
          check_box = $(this);

          var counter = 0;

          if(obj.prop('checked'))
          {

             $(this).prop('checked',true);
            
             counter ++;


          }
          else
          {
             $(this).prop('checked',false);
        


          }
          if(counter > 0)
          {
               $('.cls_assign_allowance').show();
          }
          else
          {
               $('.cls_assign_allowance').hide();
          }
         
     });

     


  }

  function selectAllAsset(event,obj)
  {
    event.preventDefault();
    
    obj = $(obj);

     $('.checked_asset').each(function(event)
     {
          check_box = $(this);

          var counter = 0;

          if(obj.prop('checked'))
          {

             $(this).prop('checked',true);
            
             counter ++;


          }
          else
          {
             $(this).prop('checked',false);


        


          }
          if(counter > 0)
          {
               $('.cls_assign').show();
          }
          else
          {
               $('.cls_assign').hide();
          }
         
     });

     


  }






</script>